close all;
clear all;
clc;

fc=32;     %Frequenza di campionamento

lamda=0.1; %Definizione dei paramentri
csi=0.05;
r=1.25;
L=0.1;
g=9.81;

x0=pi;       %Condizioni Iniziali
xp0=0;


n1=1000;      %Cicli da scartare
n2=200;      %Successivi cicli da considerare

for r=2:0.1:3
    clc
    r
    T_for=2*pi/(r*sqrt(g/L));   %Periodi dell'azione forzante
    s_start=round(n1*T_for*fc);        %Primo campione da considerare
    s_stop=round((n1+n2)*T_for*fc);    %Ultimo campione da considerare
    s_for=fc*T_for;             


    Tf=T_for*(n1+n2);           %Durata della simulazione
    Tc=1/fc;                    %Periodo di Campinamento
    nS=Tf*fc;                   %Numero di campioni della simulazione


    sim('sim_pendolo',Tf);
    
    %SEZIONE DI POINCARE'

 plot(r,x(s_start:s_stop,2),'o','Markersize',1);
%     for i=n1:n1+n2
%         n=round(s_for*i);
%         plot(r,x(n,2),'o','Markersize',1);
%         
        hold on
%     end
    
    axis([0 3 -pi pi]);

end
axis([0 3 -pi pi]);

% %SPAZIO DELLE FASI
% figure
% plot(x(s_start:s_stop,2),xp(s_start:s_stop,2),'o','Markersize',1);
% axis([-pi pi -8 8]);
% hold on
% 
% %SEZIONE DI POINCARE'
% 
% % figure
% for i=n1:n1+n2
%     n=round(s_for*i);
%     plot(x(n,2),xp(n,2),'o','Markersize',4);
%     hold on
% end


    
